<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="../css/style.css" />
    <!-- Font awesome -->
    <script
      src="https://kit.fontawesome.com/8f4c8f6237.js"
      crossorigin="anonymous"
    ></script>
    <title>Level 1</title>
  </head>

  <div id="actualLvl">1</div>

  <body class="bckLvl lvl1">
    <div id="deathCounterContainer">
      <div class="keyboard">
        <div class="touches">
          <div class="touche q"></div>
          <div class="touche up">W</div>
          <div class="touche e"></div>
        </div>
        <div class="touches">
          <div class="touche left">A</div>
          <div class="touche down">S</div>
          <div class="touche right">D</div>
        </div>
        <div class="touches">
          <div class="touche space">SPACE</div>
        </div>
      </div>

      <label class="difficulty">
        <input id="checkboxEZ" type="checkbox" />
        <img src="../assets/buoy.png" alt="" />
        <span class="checkmark"></span>
        <div id="popup">Need some help ? Try to press here</div>
      </label>
      <button class="ui-sound-button" onclick="onClickAllAudioMute()">
        <i id="allAudio" class="fas fa-volume-up"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSFXMute()">
        <i id="fxAudio" class="fas fa-headphones-alt"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSongMute()">
        <i id="musicAudio" class="fas fa-music"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickBackToMenu()">
        <img id="backToMenuButton" src="../assets/mapbutton.png" />
      </button>
      <div class="deathAndRecord">
        <div>
          <span id="deathCounter">0</span>
          <img src="../assets/skull.png" id="deathCounterImg" />
        </div>
        <p>Best : <span id="record">0</span> death(s)</p>
      </div>
    </div>
    <div id="camera"></div>
    <div id="player" class="moveR">
      <div id="hitbox"></div>
    </div>

    <div class="level">
      <div class="parallax2 lvl1"></div>
      <div class="parallax1 lvl1"></div>
      <div class="block sand wall"></div>
      <div>
        <img id="startImg" class="decorProps" src="../assets/items/start.png" />
        <div id="start"></div>
        <div class="block sand b1"></div>
        <div class="keyboard tuto _move">
          <p>Movement</p>
          <div class="touches">
            <div class="touche"></div>
            <div class="touche tup">W</div>
            <div class="touche"></div>
          </div>
          <div class="touches">
            <div class="touche tleft">A</div>
            <div class="touche tdown">S</div>
            <div class="touche tright">D</div>
          </div>
        </div>
      </div>

      <div>
        <img class="decorProps seashell" src="../assets/items/seashell.png" />
        <div class="block sand b6"></div>
      </div>

      <!-- jump -->
      <div class="block sand b1 h2 relative">
        <div class="keyboard tuto _jump">
          <p>Jump</p>
          <div class="touches">
            <div class="touche"></div>
            <div class="touche tup">W</div>
            <div class="touche"></div>
          </div>
          <div class="touches">
            <div class="touche tleft">A</div>
            <div class="touche tdown">S</div>
            <div class="touche tright">D</div>
          </div>
        </div>
      </div>
      <div class="block sand b6"></div>
      <!-- hole -->
      <div class="hole b1 relative">
        <img class="waterGif" src="../assets/textures/water.gif" />
        <div class="tuto warning">
          <img src="../assets/skull.png" id="deathCounterImg" />
        </div>
      </div>
      <div class="block sand b4"></div>
      <!-- trap pic -->
      <div class="relative">
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block sand b5"></div>
        <div class="tuto warning">
          <img src="../assets/skull.png" id="deathCounterImg" />
        </div>
      </div>

      <div>
        <img class="decorProps seashell" src="../assets/items/seashell.png" />
        <div class="ennemy">
          <div class="trap monsterA lvl3Ennemy">
            <div class="tuto warning _monster">
              <img src="../assets/skull.png" id="deathCounterImg" />
            </div>
          </div>
        </div>

        <div class="block sand b10"></div>
      </div>

      <div class="block sand b4"></div>

      <!-- walljump -->
      <div class="relative back">
        <div class="block sand f1 b1 h6"></div>
        <div class="block sand b1"></div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h5 f2"></div>
        </div>
      </div>
      <div>
        <div class="plebs">
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
        </div>
        <div id="helpDetector" class="block sand b2 relative">
          <div class="keyboard tuto _wallJump">
            <p>Wall Jump</p>
            <div class="touches">
              <div class="touche"></div>
              <div class="touche tup">W</div>
              <div class="touche"></div>
            </div>
            <div class="touches">
              <div class="touche tleft">A</div>
              <div class="touche tdown">S</div>
              <div class="touche tright">D</div>
            </div>
          </div>
        </div>
      </div>

      <div class="relative back">
        <div class="block sand b1 h5"></div>
        <div class="added _r">
          <div class="wrt b1 h1"></div>
          <div class="wr b1 h3"></div>
          <div class="wrb b1 h1"></div>
        </div>
      </div>
      <!-- gg -->
      <div>
        <img class="decorProps seashell" src="../assets/items/seashell.png" />
        <div class="block sand h5 b5"></div>
      </div>
      <!-- début vrai level -->
      <div class="block sand b1 h5"></div>

      <!-- double spike -->
      <div class="relative">
        <div class="keyboard tuto _fastFall">
          <p>Fast fall</p>
          <div class="touches">
            <div class="touche"></div>
            <div class="touche tup">W</div>
            <div class="touche"></div>
          </div>
          <div class="touches">
            <div class="touche tleft">A</div>
            <div class="touche tdown">S</div>
            <div class="touche tright">D</div>
          </div>
        </div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block sand b1"></div>
      </div>

      <div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block sand b1"></div>
      </div>

      <!-- trou -->
      <div>
        <img class="decorProps seashell" src="../assets/items/seashell.png" />
        <div class="block sand b2"></div>
      </div>
      <div class="hole b2">
        <img class="waterGif" src="../assets/textures/water.gif" /><img
          class="waterGif"
          src="../assets/textures/water.gif"
        />
      </div>
      <div class="block sand b5"></div>

      <!--   Easy stairs   -->
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div>
        <img class="decorProps seashell" src="../assets/items/seashell.png" />
        <div class="block sand b1 h2"></div>
      </div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div class="block sand b2 h3"></div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div class="block sand b3 h4"></div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div class="block sand b2 h3"></div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div class="block sand b1 h2"></div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>

      <!--   spike stairs   -->
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div class="block sand b1 h2"></div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div>
        <div>
          <div class="flex">
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
          </div>
          <div class="block sand b2 h3"></div>
        </div>
      </div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block sand b3 h4"></div>
      </div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block sand b2 h3"></div>
      </div>
      <div class="hole b1">
        <img class="waterGif" src="../assets/textures/water.gif" />
      </div>

      <div>
        <img class="decorProps seashell" src="../assets/items/seashell.png" />
        <div class="block sand b1 h2"></div>
      </div>

      <div class="hole b2">
        <img class="waterGif" src="../assets/textures/water.gif" /><img
          class="waterGif"
          src="../assets/textures/water.gif"
        />
      </div>

      <div>
        <div class="block sand b3 h30 f2"></div>
        <div id="finish" class="block sand b3"></div>
      </div>

      <!--    <div class="block sand b1 wall"></div>-->

      <div class="trap pic fall"></div>
    </div>

    <div class="place"></div>
  </body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/js-cookie@rc/dist/js.cookie.min.js"></script>
  <script src="../js/level.js"></script>
</html>
